Package owl.grammar

## Class TLSFParser

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
  - - org.antlr.v4.runtime.Parser
    - - owl.grammar.TLSFParser

-     public class TLSFParser
      extends org.antlr.v4.runtime.Parser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TLSFParser.InputContext` |
    `static class` | `TLSFParser.OutputContext` |
    `static class` | `TLSFParser.SemanticsContext` |
    `static class` | `TLSFParser.SpecificationContext` |
    `static class` | `TLSFParser.TargetContext` |
    `static class` | `TLSFParser.TlsfContext` |

    - ### Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

      `org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN` |
    `protected static org.antlr.v4.runtime.dfa.DFA[]` | `_decisionToDFA` |
    `static String` | `_serializedATN` |
    `protected static org.antlr.v4.runtime.atn.PredictionContextCache` | `_sharedContextCache` |
    `static int` | `ASSERT` |
    `static int` | `ASSUME` |
    `static int` | `DESCRIPTION` |
    `static int` | `GUARANTEE` |
    `static int` | `ID_SEP` |
    `static int` | `INFO` |
    `static int` | `INFO_END` |
    `static int` | `INFO_START` |
    `static int` | `INFO_STRING` |
    `static int` | `INITIALLY` |
    `static int` | `INPUTS` |
    `static int` | `IO_END` |
    `static int` | `IO_START` |
    `static int` | `MAIN` |
    `static int` | `MAIN_END` |
    `static int` | `MAIN_START` |
    `static int` | `MEALY` |
    `static int` | `MEALY_STRICT` |
    `static int` | `MOORE` |
    `static int` | `MOORE_STRICT` |
    `static int` | `OUTPUTS` |
    `static int` | `PRESET` |
    `static int` | `REQUIRE` |
    `static int` | `RULE_input` |
    `static int` | `RULE_output` |
    `static int` | `RULE_semantics` |
    `static int` | `RULE_specification` |
    `static int` | `RULE_target` |
    `static int` | `RULE_tlsf` |
    `static String[]` | `ruleNames` |
    `static int` | `SEMANTICS` |
    `static int` | `SKIP_DEF` |
    `static int` | `SKIP_INFO` |
    `static int` | `SKIP_IO` |
    `static int` | `SKIP_MAIN` |
    `static int` | `SKIP_SPEC` |
    `static int` | `SPEC_END` |
    `static int` | `SPEC_LTL` |
    `static int` | `SPEC_START` |
    `static int` | `TAGS` |
    `static int` | `TARGET` |
    `static int` | `TITLE` |
    `static String[]` | `tokenNames` | Deprecated. Use `VOCABULARY` instead.
    `static int` | `VAR_ID` |
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY` |

    - ### Fields inherited from class org.antlr.v4.runtime.Parser

      `_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TLSFParser​(org.antlr.v4.runtime.TokenStream input)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.antlr.v4.runtime.atn.ATN` | `getATN()` |
    `String` | `getGrammarFileName()` |
    `String[]` | `getRuleNames()` |
    `String` | `getSerializedATN()` |
    `String[]` | `getTokenNames()` | Deprecated.
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()` |
    `TLSFParser.InputContext` | `input()` |
    `TLSFParser.OutputContext` | `output()` |
    `TLSFParser.SemanticsContext` | `semantics()` |
    `TLSFParser.SpecificationContext` | `specification()` |
    `TLSFParser.TargetContext` | `target()` |
    `TLSFParser.TlsfContext` | `tlsf()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.antlr.v4.runtime.Parser

      `addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTokenStream, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTokenFactory, setTokenStream, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

- - ### Field Detail

    - #### _decisionToDFA

          protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

    - #### _sharedContextCache

          protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

    - #### SKIP_DEF

          public static final int SKIP_DEF

      See Also:
        Constant Field Values

    - #### INFO

          public static final int INFO

      See Also:
        Constant Field Values

    - #### MAIN

          public static final int MAIN

      See Also:
        Constant Field Values

    - #### SKIP_INFO

          public static final int SKIP_INFO

      See Also:
        Constant Field Values

    - #### INFO_START

          public static final int INFO_START

      See Also:
        Constant Field Values

    - #### TITLE

          public static final int TITLE

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final int DESCRIPTION

      See Also:
        Constant Field Values

    - #### SEMANTICS

          public static final int SEMANTICS

      See Also:
        Constant Field Values

    - #### TARGET

          public static final int TARGET

      See Also:
        Constant Field Values

    - #### TAGS

          public static final int TAGS

      See Also:
        Constant Field Values

    - #### INFO_STRING

          public static final int INFO_STRING

      See Also:
        Constant Field Values

    - #### MEALY

          public static final int MEALY

      See Also:
        Constant Field Values

    - #### MOORE

          public static final int MOORE

      See Also:
        Constant Field Values

    - #### MEALY_STRICT

          public static final int MEALY_STRICT

      See Also:
        Constant Field Values

    - #### MOORE_STRICT

          public static final int MOORE_STRICT

      See Also:
        Constant Field Values

    - #### INFO_END

          public static final int INFO_END

      See Also:
        Constant Field Values

    - #### MAIN_START

          public static final int MAIN_START

      See Also:
        Constant Field Values

    - #### SKIP_MAIN

          public static final int SKIP_MAIN

      See Also:
        Constant Field Values

    - #### INPUTS

          public static final int INPUTS

      See Also:
        Constant Field Values

    - #### OUTPUTS

          public static final int OUTPUTS

      See Also:
        Constant Field Values

    - #### INITIALLY

          public static final int INITIALLY

      See Also:
        Constant Field Values

    - #### PRESET

          public static final int PRESET

      See Also:
        Constant Field Values

    - #### REQUIRE

          public static final int REQUIRE

      See Also:
        Constant Field Values

    - #### ASSERT

          public static final int ASSERT

      See Also:
        Constant Field Values

    - #### ASSUME

          public static final int ASSUME

      See Also:
        Constant Field Values

    - #### GUARANTEE

          public static final int GUARANTEE

      See Also:
        Constant Field Values

    - #### MAIN_END

          public static final int MAIN_END

      See Also:
        Constant Field Values

    - #### SKIP_IO

          public static final int SKIP_IO

      See Also:
        Constant Field Values

    - #### IO_START

          public static final int IO_START

      See Also:
        Constant Field Values

    - #### VAR_ID

          public static final int VAR_ID

      See Also:
        Constant Field Values

    - #### ID_SEP

          public static final int ID_SEP

      See Also:
        Constant Field Values

    - #### IO_END

          public static final int IO_END

      See Also:
        Constant Field Values

    - #### SPEC_START

          public static final int SPEC_START

      See Also:
        Constant Field Values

    - #### SPEC_END

          public static final int SPEC_END

      See Also:
        Constant Field Values

    - #### SPEC_LTL

          public static final int SPEC_LTL

      See Also:
        Constant Field Values

    - #### SKIP_SPEC

          public static final int SKIP_SPEC

      See Also:
        Constant Field Values

    - #### RULE_tlsf

          public static final int RULE_tlsf

      See Also:
        Constant Field Values

    - #### RULE_semantics

          public static final int RULE_semantics

      See Also:
        Constant Field Values

    - #### RULE_target

          public static final int RULE_target

      See Also:
        Constant Field Values

    - #### RULE_input

          public static final int RULE_input

      See Also:
        Constant Field Values

    - #### RULE_output

          public static final int RULE_output

      See Also:
        Constant Field Values

    - #### RULE_specification

          public static final int RULE_specification

      See Also:
        Constant Field Values

    - #### ruleNames

          public static final String[] ruleNames

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

    - #### tokenNames

          @Deprecated
          public static final String[] tokenNames

      Deprecated.
      Use `VOCABULARY` instead.

    - #### _serializedATN

          public static final String _serializedATN

      See Also:
        Constant Field Values

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

  - ### Constructor Detail

    - #### TLSFParser

          public TLSFParser​(org.antlr.v4.runtime.TokenStream input)

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public String[] getTokenNames()

      Deprecated.
      Specified by:
        `getTokenNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getVocabulary

          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getRuleNames

          public String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getSerializedATN

          public String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### tlsf

          public final TLSFParser.TlsfContext tlsf()
                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### semantics

          public final TLSFParser.SemanticsContext semantics()
                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### target

          public final TLSFParser.TargetContext target()
                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### input

          public final TLSFParser.InputContext input()
                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### output

          public final TLSFParser.OutputContext output()
                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### specification

          public final TLSFParser.SpecificationContext specification()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`